# PhasicFlow: fileStream Class Reference

fileStream Class Reference
Inheritance diagram for fileStream:
[legend]
Collaboration diagram for fileStream:
[legend]

## Public Member Functions

| fileStream (const fileSystem &path, bool outStream=false)
| fileStream (const fileStream &)=delete
fileStream & | operator= (const fileStream &)=delete
virtual | ~fileStream ()
std::ifstream & | inStream ()
std::ofstream & | outStream ()

## Protected Member Functions

void | openInFile (const fileSystem &path)
void | openOutFile (const fileSystem &path)
void | close ()

## Protected Attributes

uniquePtr< std::ifstream > | inStream_
uniquePtr< std::ofstream > | outStream_

## Detailed Description

Definition at line 36 of file fileStream.hpp.

## Constructor & Destructor Documentation

## fileStream() [1/2]

fileStream | ( | const fileSystem & | path,
|  | bool | outStream = `false`
| ) |  |

Definition at line 93 of file fileStream.cpp.

## fileStream() [2/2]

fileStream | ( | const fileStream & |  | ) |

delete

## ~fileStream()

virtual ~fileStream | ( |  | ) |

inlinevirtual

Definition at line 65 of file fileStream.hpp.

References fileStream::close().

Here is the call graph for this function:

## Member Function Documentation

## openInFile()

void openInFile | ( | const fileSystem & | path | ) |

protected

Definition at line 30 of file fileStream.cpp.

References fileSystem::exist(), fatalErrorInFunction, fatalExit, and fileSystem::wordPath().

Here is the call graph for this function:

## openOutFile()

void openOutFile | ( | const fileSystem & | path | ) |

protected

Definition at line 56 of file fileStream.cpp.

References fileSystem::createDirs(), fileSystem::dirPath(), fatalErrorInFunction, fatalExit, and fileSystem::wordPath().

Here is the call graph for this function:

## close()

void close | ( |  | ) |

protected

Definition at line 79 of file fileStream.cpp.

References fileStream::inStream_, and fileStream::outStream_.

Referenced by fileStream::~fileStream().

Here is the caller graph for this function:

## operator=()

fileStream& operator= | ( | const fileStream & |  | ) |

delete

## inStream()

std::ifstream & inStream | ( |  | ) |

Definition at line 112 of file fileStream.cpp.

## outStream()

std::ofstream & outStream | ( |  | ) |

Definition at line 117 of file fileStream.cpp.

## Member Data Documentation

## inStream_

uniquePtr<std::ifstream> inStream_

protected

Definition at line 41 of file fileStream.hpp.

Referenced by fileStream::close().

## outStream_

uniquePtr<std::ofstream> outStream_

protected

Definition at line 44 of file fileStream.hpp.

Referenced by fileStream::close().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/Fstream/fileStream.hpp
- src/phasicFlow/streams/Fstream/fileStream.cpp